[Unit]
Description=Apply Performance Settings
After=sysinit.target

[Service]
Type=oneshot
ExecStart=/bin/sh -c 'echo performance | tee /sys/devices/system/cpu/cpu*/cpufreq/scaling_governor'
ExecStart=/bin/sh -c 'echo always > /sys/kernel/mm/transparent_hugepage/enabled'
ExecStart=/bin/sh -c 'echo always > /sys/kernel/mm/transparent_hugepage/defrag'
ExecStart=/bin/sh -c 'echo performance > /sys/module/pcie_aspm/parameters/policy || true'
RemainAfterExit=yes

[Install]
WantedBy=multi-user.target
